apiVersion: monitoring.coreos.com/v1
kind: ServiceMonitor
metadata:
  labels:
    k8s-app: kube-eagle-service-monitor
  name: "{{ config.kube_eagle.namespace }}-service-monitor"
  namespace: "{{ config.kube_eagle.prometheus_namespace }}"
spec:
  endpoints:
  - interval: 30s
    path: /metrics
    port: http
  namespaceSelector:
    matchNames:
      - "{{ config.kube_eagle.namespace }}"
  selector:
    matchLabels:
      app: kube-eagle
